## VOICE Manage Calls request VOICE Manage Calls request |

## Functions

QmiMessageVoiceManageCallsInput * | qmi_message_voice_manage_calls_input_new ()
QmiMessageVoiceManageCallsInput * | qmi_message_voice_manage_calls_input_ref ()
void | qmi_message_voice_manage_calls_input_unref ()
gboolean | qmi_message_voice_manage_calls_input_get_call_id ()
gboolean | qmi_message_voice_manage_calls_input_set_call_id ()
gboolean | qmi_message_voice_manage_calls_input_get_service_type ()
gboolean | qmi_message_voice_manage_calls_input_set_service_type ()
QmiMessageVoiceManageCallsOutput * | qmi_message_voice_manage_calls_output_ref ()
void | qmi_message_voice_manage_calls_output_unref ()
gboolean | qmi_message_voice_manage_calls_output_get_result ()
void | qmi_client_voice_manage_calls ()
QmiMessageVoiceManageCallsOutput * | qmi_client_voice_manage_calls_finish ()

## Types and Values

| QmiMessageVoiceManageCallsInput
| QmiMessageVoiceManageCallsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageVoiceManageCallsInput
        ╰── QmiMessageVoiceManageCallsOutput

## Description

## Functions

### qmi_message_voice_manage_calls_input_new ()

    QmiMessageVoiceManageCallsInput *
    qmi_message_voice_manage_calls_input_new
                                   (void);

Allocates a new QmiMessageVoiceManageCallsInput.

#### Returns

the newly created QmiMessageVoiceManageCallsInput. The returned value should be freed with `qmi_message_voice_manage_calls_input_unref()`.

Since: 1.30

### qmi_message_voice_manage_calls_input_ref ()

    QmiMessageVoiceManageCallsInput *
    qmi_message_voice_manage_calls_input_ref
                                   (QmiMessageVoiceManageCallsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceManageCallsInput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_voice_manage_calls_input_unref ()

    void
    qmi_message_voice_manage_calls_input_unref
                                   (QmiMessageVoiceManageCallsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceManageCallsInput. |

Since: 1.30

### qmi_message_voice_manage_calls_input_get_call_id ()

    gboolean
    qmi_message_voice_manage_calls_input_get_call_id
                                   (QmiMessageVoiceManageCallsInput *self,
                                    guint8 *value_call_id,
                                    GError **error);

Get the 'Call ID' field from `self` .

#### Parameters

self | a QmiMessageVoiceManageCallsInput. |
value_call_id | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_voice_manage_calls_input_set_call_id ()

    gboolean
    qmi_message_voice_manage_calls_input_set_call_id
                                   (QmiMessageVoiceManageCallsInput *self,
                                    guint8 value_call_id,
                                    GError **error);

Set the 'Call ID' field in the message.

#### Parameters

self | a QmiMessageVoiceManageCallsInput. |
value_call_id | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_voice_manage_calls_input_get_service_type ()

    gboolean
    qmi_message_voice_manage_calls_input_get_service_type
                                   (QmiMessageVoiceManageCallsInput *self,
                                    QmiVoiceSupplementaryServiceType *value_service_type,
                                    GError **error);

Get the 'Service Type' field from `self` .

#### Parameters

self | a QmiMessageVoiceManageCallsInput. |
value_service_type | a placeholder for the output QmiVoiceSupplementaryServiceType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_voice_manage_calls_input_set_service_type ()

    gboolean
    qmi_message_voice_manage_calls_input_set_service_type
                                   (QmiMessageVoiceManageCallsInput *self,
                                    QmiVoiceSupplementaryServiceType value_service_type,
                                    GError **error);

Set the 'Service Type' field in the message.

#### Parameters

self | a QmiMessageVoiceManageCallsInput. |
value_service_type | a QmiVoiceSupplementaryServiceType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_voice_manage_calls_output_ref ()

    QmiMessageVoiceManageCallsOutput *
    qmi_message_voice_manage_calls_output_ref
                                   (QmiMessageVoiceManageCallsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceManageCallsOutput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_voice_manage_calls_output_unref ()

    void
    qmi_message_voice_manage_calls_output_unref
                                   (QmiMessageVoiceManageCallsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceManageCallsOutput. |

Since: 1.30

### qmi_message_voice_manage_calls_output_get_result ()

    gboolean
    qmi_message_voice_manage_calls_output_get_result
                                   (QmiMessageVoiceManageCallsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceManageCallsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.30

### qmi_client_voice_manage_calls ()

    void
    qmi_client_voice_manage_calls (QmiClientVoice *self,
                                   QmiMessageVoiceManageCallsInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Manage Calls request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_manage_calls_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
input | a QmiMessageVoiceManageCallsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.30

### qmi_client_voice_manage_calls_finish ()

    QmiMessageVoiceManageCallsOutput *
    qmi_client_voice_manage_calls_finish (QmiClientVoice *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_voice_manage_calls()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_manage_calls()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceManageCallsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_manage_calls_output_unref()`.

Since: 1.30

## Types and Values

### QmiMessageVoiceManageCallsInput

    typedef struct _QmiMessageVoiceManageCallsInput QmiMessageVoiceManageCallsInput;

The QmiMessageVoiceManageCallsInput structure contains private data and should only be accessed using the provided API.

Since: 1.30

### QmiMessageVoiceManageCallsOutput

    typedef struct _QmiMessageVoiceManageCallsOutput QmiMessageVoiceManageCallsOutput;

The QmiMessageVoiceManageCallsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.30